import time
import abc


class APlant(abc.ABC):
	def __init__(self, params):
		pass

	def log(self, s):
		print("{:.2f}: {}".format(time.time(), s))

	@abc.abstractmethod
	def activate(self, enable):
		return None

	@abc.abstractmethod
	def process(self):
		pass

	@abc.abstractmethod
	def setPower(self, power_W):
		pass

	@abc.abstractmethod
	def getPower(self):
		return None

	@abc.abstractmethod
	def getTemperature(self):
		return None


